# Class WatchManagerFactory

java.lang.Object
org.apache.zookeeper.server.watch.WatchManagerFactory

public class WatchManagerFactory extends Object
A factory used to produce the actual watch manager based on the zookeeper.watchManagerName option.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ZOOKEEPER_WATCH_MANAGER_NAME`

## Constructor Summary

Constructors
Constructor
Description
`WatchManagerFactory()`

## Method Summary

Modifier and Type
Method
Description
`static IWatchManager`
`createWatchManager()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ZOOKEEPER_WATCH_MANAGER_NAME

public static final String ZOOKEEPER_WATCH_MANAGER_NAME

See Also:
  - Constant Field Values

## Constructor Details

### WatchManagerFactory

public WatchManagerFactory()

## Method Details

### createWatchManager

public static IWatchManager createWatchManager() throws IOException

Throws:
  `IOException`